Create a Proxy Agent
Creates a new proxy agent within your Fivetran account.
Request schema
Header parameters
Authorization
stringrequired
HTTP: basicAuth
HTTP AuthorizationScheme: basic
Accept
string
default:
application/json
example:
application/json
Request
display_name
string
Proxy agent name.
example:
display_name
group_region
string
Data processing location. This is where Fivetran will operate and run computation on data (optional).
enum:
"GCP_US_EAST4""GCP_US_WEST1""GCP_US_CENTRAL1""GCP_EUROPE_WEST3""GCP_AUSTRALIA_SOUTHEAST1""GCP_NORTHAMERICA_NORTHEAST1""GCP_EUROPE_WEST2""GCP_ASIA_SOUTHEAST1""GCP_ASIA_SOUTHEAST2""GCP_ASIA_SOUTH1""GCP_ASIA_NORTHEAST1""GCP_ASIA_NORTHEAST3""GCP_ME_CENTRAL2""AWS_US_EAST_1""AWS_US_EAST_2""AWS_US_WEST_2""AWS_AP_NORTHEAST_1""AWS_AP_NORTHEAST_2""AWS_AP_SOUTHEAST_1""AWS_AP_SOUTHEAST_2""AWS_EU_CENTRAL_1""AWS_EU_NORTH_1""AWS_EU_WEST_1""AWS_EU_WEST_2""AWS_AP_SOUTH_1""AWS_CA_CENTRAL_1""AWS_US_GOV_WEST_1""AZURE_EASTUS2""AZURE_AUSTRALIAEAST""AZURE_UKSOUTH""AZURE_WESTEUROPE""AZURE_CENTRALUS""AZURE_CANADACENTRAL""AZURE_UAENORTH""AZURE_SOUTHEASTASIA""AZURE_EASTUS""AZURE_JAPANEAST""AZURE_CENTRALINDIA""AZURE_GERMANYWESTCENTRAL""AZURE_WESTUS3""AZURE_SWITZERLANDNORTH""AZURE_KOREACENTRAL"
Http + 1.1
POST
https://api.fivetran.com/v1/proxy
POST /v1/proxy HTTP/1.1 Accept: application/json Authorization: BasicContent-Type: application/json Host: api.fivetran.com Content-Length: 70 { "display_name": "display_name", "group_region": "GCP_US_EAST4" }
Responses
201
Successful response
400
Group region not supported
409
Proxy agent with same name already exists.
201
code
stringrequired
Response status code
example:
Created
message
string
Response status text
example:
Proxy agent has been created
data
objectrequired
agent_id
stringrequired
The unique identifier for the proxy agent within the Fivetran system.
example:
id
auth_token
stringrequired
The auth token.
example:
auth_token
client_cert
stringrequired
Client certificate.
example:
client_cert
client_private_key
stringrequired
Client private key.
example:
client_private_key
{ "code": "Created", "message": "Proxy agent has been created", "data": { "agent_id": "id", "auth_token": "auth_token", "client_cert": "client_cert", "client_private_key": "client_private_key" } }